com.microfocus.awm.meta.interfaces

## Interface RActionComplexCondition

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RActionComplexConditionImpl

      public interface RActionComplexCondition
      extends AWMObject

  Relationship from a tool within an action to a complex enabling condition. This relationship allows to define the conditions to check at run time under which the tool is called.

  The following features are supported:

  - `Simple Condition`
  - `Complex Condition`
  - `Operator`
  See Also:
    `TaurusPackage.getRActionComplexCondition()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<RActionComplexCondition>` | `getComplexCondition()` Returns the value of the 'Complex Condition' containment reference list.
    `EConditionOperators` | `getOperator()` Returns the value of the 'Operator' attribute.
    `org.eclipse.emf.common.util.EList<RActionSimpleCondition>` | `getSimpleCondition()` Returns the value of the 'Simple Condition' containment reference list.
    `boolean` | `isSetOperator()` Returns whether the value of the '`Operator`' attribute is set.
    `void` | `setOperator(EConditionOperators value)` Sets the value of the '`Operator`' attribute.
    `void` | `unsetOperator()` Unsets the value of the '`Operator`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSimpleCondition

          org.eclipse.emf.common.util.EList<RActionSimpleCondition> getSimpleCondition()

      Returns the value of the 'Simple Condition' containment reference list. The list contents are of type `RActionSimpleCondition`. Reference to a simple condition.
      Returns:
        the value of the 'Simple Condition' containment reference list.
      See Also:
        `TaurusPackage.getRActionComplexCondition_SimpleCondition()`

    - #### getComplexCondition

          org.eclipse.emf.common.util.EList<RActionComplexCondition> getComplexCondition()

      Returns the value of the 'Complex Condition' containment reference list. The list contents are of type `RActionComplexCondition`. Reference to a complex condition (complex conditions are structured recursivley).
      Returns:
        the value of the 'Complex Condition' containment reference list.
      See Also:
        `TaurusPackage.getRActionComplexCondition_ComplexCondition()`

    - #### getOperator

          EConditionOperators getOperator()

      Returns the value of the 'Operator' attribute. The literals are from the enumeration `EConditionOperators`.
      Operator to combine complex conditions.

      Allowed values are:

      - AND
      - OR
      Returns:
        the value of the 'Operator' attribute.
      See Also:
        `EConditionOperators`, `isSetOperator()`, `unsetOperator()`, `setOperator(EConditionOperators)`, `TaurusPackage.getRActionComplexCondition_Operator()`

    - #### setOperator

          void setOperator(EConditionOperators value)

      Sets the value of the '`Operator`' attribute.
      Parameters:
        `value` - the new value of the 'Operator' attribute.
      See Also:
        `EConditionOperators`, `isSetOperator()`, `unsetOperator()`, `getOperator()`

    - #### unsetOperator

          void unsetOperator()

      Unsets the value of the '`Operator`' attribute.
      See Also:
        `isSetOperator()`, `getOperator()`, `setOperator(EConditionOperators)`

    - #### isSetOperator

          boolean isSetOperator()

      Returns whether the value of the '`Operator`' attribute is set.
      Returns:
        whether the value of the 'Operator' attribute is set.
      See Also:
        `unsetOperator()`, `getOperator()`, `setOperator(EConditionOperators)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.